products downloads purchase contact us

Support policy for older software and OS versions
Tech Library Article #0020 + Created: 27 January 2008 + Modified 17 January 2010

Synergy Creations provides downloads of older versions of some of our software for use with earlier versions of operating systems.

These old versions are not under active development, however we keep them available for customers who may have older operating systems and computers (Mac OS X 10.3 and earlier, Mac OS 9, and some 68K Macs). We provide only limited support these older versions; we will be glad to answer questions about them, like any of our software. However, we have no plans to produce updates for software for these older operating systems.

Software for Mac OS X 10.4 or later (Tiger, Leopard, or Snow Leopard) on Intel and PowerPC Macs, and Windows XP SP 2 or later is currently in development and fully supported. Software for Mac OS X versions before 10.4 and all Mac OS versions earlier than Mac OS X is no longer supported.

These products are in active development and are supported on Mac OS X 10.4 or later:

Periodic Table
ConverTable Units (& Plug-In Editor)
ConverTable Planets
Alchemist's Challenge
MacASCII Display
ChemDuet Installer¹
Yes I Can!²

These products are in active development and are supported on Windows XP SP2 or later:

Periodic Table
Alchemist's Challenge
ChemDuet Installer¹

1: requires iPod with click wheen and screen.
2: the current version of Yes I Can! requires Classic, and so is not Leopard-compatible, or Intel Mac compatible.